/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 19:49
 * Description:
 */
package com.emr.entity;

import com.github.pagehelper.Page;

import java.util.List;

public class OffsetLimitPage {
    private Long total;
    private List rows;

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public List getRows() {
        return rows;
    }

    public void setRows(List rows) {
        this.rows = rows;
    }

    public OffsetLimitPage() {

    }

    public OffsetLimitPage(List rows, Long total) {
        this.rows = rows;
        this.total = total;
    }

    public OffsetLimitPage(Page rows) {
        this(rows, rows.getTotal());
    }
}
 

